datablock fxDTSBrickData(mugemptydata)
{
	brickFile = "./mugempty.blb";
	category = "special";
	subCategory = "misc";
	uiName = "Coffee Mug Empty";
	iconName = "Add-Ons/Brick_CoffeeMug/MugEmpty";
};

datablock fxDTSBrickData(mugfulldata)
{
	brickFile = "./mugfull.blb";
	category = "special";
	subCategory = "misc";
	uiName = "Coffee Mug";
	iconName = "Add-Ons/Brick_CoffeeMug/mugfull";
};

function drinkCoffee(%obj)
{
        %obj.setDataBlock("mugemptydata");
}

package CoffeeBrickPackage
{
   function fxDTSBrick::OnActivate(%obj, %player, %client, %pos, %vec)
   {  
      %data = %obj.getDataBlock();
            %obj.drinkCoffee(%player);
            Parent::OnActivate(%obj, %player, %client, %pos, %vec);
   }  
};
activatePackage(CoffeeBrickPackage);


function fxDTSBrick::drinkCoffee(%obj, %player)
{
   %data = %obj.getDataBlock();
   %data.drinkCoffee(%obj, %player);
}


function fxDTSBrickData::drinkCoffee(%data ,%obj, %player)
{
   //do nothing by default
}


function mugfulldata::drinkCoffee(%data ,%obj, %player)
{
   %client = %player.client;
   if(!isObject(%client))
      return;
   
   //open
   %obj.setDataBlock(mugemptydata);

   //schedule close on global quota
   %oldQuotaObject = getCurrentQuotaObject();
   if(isObject(%oldQuotaObject))
      setCurrentQuotaObject(GlobalQuota);

   %obj.schedule(2000, setDataBlock, mugfulldata);
}
